API 参考
/- 浏览器
- 开放 API
/
Get browser user agent
Generate a user agent that matches the requested operating system and browser vendor, using only published kernels.
Security
OpenApiBearer
Operating system:
1— Windows2— macOS3— Android4— iOS5— Linux
Enum:12345
Example:1
Operating system version. Defaults to an empty string.
Enum:"""Windows 7""Windows 8""Windows 10""Windows 11""macOS 12""macOS 13""macOS 14"
Example:"Windows 11"
System bitness. Defaults to 1:
0— 32-bit1— 64-bit
Default:1
Enum:01
Example:1
POST
curl -i -X POST \
https://api.morelogin.com/env/advanced/ua/get \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"os": 1,
"osVersion": "Windows 11",
"vendor": 1,
"systemBitType": 1,
"architecture": 0
}'Success
Operation request ID. This field may be present when the request passes through the API gateway.
Example:"1d4f3ea968664593860b94b35d4ebf5e"
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": { "ua": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36", "resolution": { … }, "mobileDevice": null } }